<?php

/****** social ***********/

function ranked_social($twitter=1,$facebook=1,$pinterest=1, $linkedin=1, 
$googleplus=1, $mailto=1, $pdf=1, $feed=1){

// thubmnail per pinterest

$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail' );

// aggiungo script per Google Plus e Pinterest

wp_enqueue_script('google-plusone', 'https://apis.google.com/js/plusone.js', array(), null);
wp_enqueue_script ('pinterest', 'http://assets.pinterest.com/js/pinit.js', array(), null);

?>

<div class="social">
  <?php

// ********** twitter **************

if ($twitter) { ?>
  <div class="twitter"> <a href="https://twitter.com/share" class="twitter-share-button" 
  data-url="<?php echo get_permalink(); ?>" data-text="<?php echo get_the_title(); ?>" data-lang="it">Tweet</a> 
    <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script> 
  </div>
  <?php

}

// ********** facebook **************

if ($facebook) { ?>
  <div class="facebook">
    <div class="facebook-share-button">
      <div class="fb-like" data-send="false" data-layout="button_count" data-width="93" data-show-faces="false" data-font="trebuchet ms"></div>
      <div id="fb-root"></div>
      <script>(function(d, s, id) {
var js, fjs = d.getElementsByTagName(s)[0];
if (d.getElementById(id)) return;
js = d.createElement(s); js.id = id;
js.src = "//connect.facebook.net/it_IT/all.js#xfbml=1&appId=104268762953247";
fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script> 
    </div>
  </div>
  <?php

}

// *************** pinterest *****************          

if ($pinterest) {

?>
  <div class="pinterest"> <a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php echo $thumb['0']; ?>&description=<?php the_title(); ?>" class="pin-it-button" count-layout="horizontal"> Pin It </a> </div>
  <?php

}

// *************** linkedin ******************

if ($linkedin) {
?>
  <div class="linkedin"> 
    <script src="//platform.linkedin.com/in.js" type="text/javascript"></script> 
    <script type="IN/Share" data-url="<?php the_permalink(); ?>" data-counter="right"></script> 
  </div>
  <?php
}

// ********** google plus *************

if ($googleplus) {
?>
  <div class="googleplus" action="share" data-href="<?php the_permalink(); ?>" 
  annotation="none" style="float:left"></div>
  <?php
}

if ($mailto or $pdf or $feed) {
?>
  <div style="clear:both"></div>
  <?php
}

//************** mail to ***************

if ($mailto) {

?>
  <div class="mailto"> <a href="mailto:inserisci e-mail?subject=Leggi questo post di <?php echo get_bloginfo('name'); ?>&body=<?php the_title(); ?>&#32;&#32;<?php the_permalink();?>" title="Ranked per e-mail" target="_blank" style="width:75px; margin-right:10px"><img src="<?php echo get_bloginfo('stylesheet_directory'); ?>/images/email.png"></a></div>
  <?php
}

//************** pdf *******************

if ($pdf) {
?>
  <div class="pdf"> <a style="margin-right: 10px;" title="Scarica l'articolo di Ranked in PDF" href="http://pdfmyurl.com?url=<?php the_permalink(); ?>"><img src="<?php echo get_bloginfo('stylesheet_directory'); ?>/images/pdf.png"></a></div>
  <?php
}

//************** RSS *******************

if ($feed) {

?>
  <div class="feed"> <a href="<?php echo get_bloginfo('wpurl'); ?>/feed/"><img src="<?php echo get_bloginfo('stylesheet_directory'); ?>/images/rss.png"></a></div>
  <?php

}

?>
<div style="clear:both"></div>
</div>
<?php

}

/****** fine social ***********/
?>